POST
/delta/reviews/detailsGet Delta Reviews Details
This method enables you to fetch Delta Review Details (reviews that are newly added since your last retrieval) for a specific shopid.
POST
/delta/reviews/detailsMandatory Fields
- shopId
Parameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | Required | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Ok | |
| 204 | No Content | No Content | None |
| 400 | Bad Request | Validation Error | None |
| 401 | Unauthorized | Authorization Failed | None |
| 429 | Too Many Requests | Too Many Requests | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X POST /delta/reviews/details \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'Body parameter
{
"shopId": 10
}Example responses
200 Response
{
"totalRecords": 670,
"fetchedRecords": 10,
"totalPages": 67,
"currentPage": 1,
"pageSize": 10,
"reviewDeltaDetails": [
{
"hotelCode": 133268,
"websiteCode": 1,
"reviewHeader": "",
"reviewerName": "Peter",
"reviewedDate": "2024-07-22T00:00:00.000Z",
"reviewScore": 10,
"location": null,
"replyFromHotel": "",
"reviewContent": "Great place with nice rooms and beautiful view (both to Mt Kinabalu and Kota Kinabalu). Standard Malaysian breakfast and decent lunch and dinner menu. Staff was very friendly and helpful. The room (104) was very good although there are a few ants around (so make sure not to leave food around). Bed, shower and toilet were nice and clean. Internet worked quite well (not guaranteed in this area). Our best place in Sabah so far (out of 6 good hotels).",
"tripType": "Travelled with partner",
"language": "en",
"reviewId": "669dd2dc198e214ac36d85f4",
"hotelId": 8011143,
"dtCollected": "2024-09-03T09:35:52.353Z",
"dtModified": null,
"userId": 9,
"queueId": 13939,
"shopId": 1110,
"url": "https://www.expedia.co.in/Kota-Kinabalu-Hotels-Kasih-Sayang-Health-Resort.h8011143.Hotel-Information",
"websiteName": "EXPEDIA",
"properties": null,
"polarity": null,
"sentimentScore": null,
"authorCountry": "",
"breakfastRating": null,
"cleanlinessRating": null,
"locationRating": null,
"roomsRating": null,
"serviceRating": null,
"sleepQualityRating": null,
"spaRating": null,
"valueRating": null,
"reviewsCount": 28,
"reviewerType": null,
"respondUrl": null,
"outOfReview": 10
}
]
}Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.